package org.richfaces.demo.mediaOutput;

import java.awt.Color;
import java.io.Serializable;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean(name="mediaData")
@SessionScoped
public class MediaData implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	int width = 300;
	int height = 120;
	String text;
	Integer color;
	float scale;
	
	public MediaData() {
		setText("RichFaces 4.0");
		setColor(1000);
		setScale(2);
		System.out.println("MediaData instantiated");
	}

	public Integer getColor() {
		return color;
	}
	public void setColor(Integer color) {
		this.color = color;
	}
	public float getScale() {
		return scale;
	}
	public void setScale(float scale) {
		this.scale = scale;
	}

	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}
}
